Android上的React Native无法找到构建工具该怎么办?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (15)

是什么引起了后续问题?我的AndroidSDK版本不受支持吗?

Starting JS server...                                                                     
Building and installing the app on the device (cd android && gradlew.bat installDebug)...

FAILURE: Build failed with an exception.                                                  

* What went wrong:                                                                        
A problem occurred configuring project ':app'.                                            
> failed to find Build Tools revision 23.0.1       
提问于
用户回答回答于

它通过查看终端的可用版本得以解决:

android list sdk -a

[...]
Packages available for installation or update: 156
1- Android SDK Tools, revision 24.4
2- Android SDK Platform-tools, revision 23.0.1
3- Android SDK Platform-tools, revision 23.1 rc1
4- Android SDK Build-tools, revision 23.0.1

并用以下方式安装正确的版本:

android update sdk -a -u -t 4
用户回答回答于

请注意 - 可能会出现此错误,因为您安装的构建工具的唯一版本太新了

我得到了OP得到的错误(抱怨反应原生程序找不到构建工具修订版23.0.1)。当我检查我的Android SDK管理器时,我看到了这一点:

扫码关注云+社区